clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::ast_matchers::MatchFinder::MatchFinderOptions::Profiling Struct Reference

`#include "clang/ASTMatchers/ASTMatchFinder.h"`

Collaboration diagram for clang::ast_matchers::MatchFinder::MatchFinderOptions::Profiling:
[legend]

## Public Member Functions
| Profiling (llvm::StringMap< llvm::TimeRecord > &Records)

## Public Attributes
llvm::StringMap< llvm::TimeRecord > & | Records
| Per bucket timing information. More...

## Detailed Description

Definition at line 123 of file ASTMatchFinder.h.

## Constructor & Destructor Documentation

## ◆ Profiling()

clang::ast_matchers::MatchFinder::MatchFinderOptions::Profiling::Profiling | ( | llvm::StringMap< llvm::TimeRecord > & | Records | ) |
| inline

Definition at line 124 of file ASTMatchFinder.h.

## Member Data Documentation

## ◆ Records

llvm::StringMap<llvm::TimeRecord>& clang::ast_matchers::MatchFinder::MatchFinderOptions::Profiling::Records

Per bucket timing information.

Definition at line 128 of file ASTMatchFinder.h.

The documentation for this struct was generated from the following file:

- include/clang/ASTMatchers/ASTMatchFinder.h